Bug 489737 - Python, IDLE, under Gnome, Fluxbox freeze on FC10 86x64
Python, IDLE, under Gnome, Fluxbox freeze on FC10 86x64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 11:56 EDT by 252311
Modified: 2009-12-18 03:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:59:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description 252311 2009-03-11 11:56:29 EDT
Description of problem:The IDLE under Gnome has a slow response wile typing a text inside a window and after few minutes of work it freezes completely. Surprisingly, it working just fine under KDE. Similar behaviour I see for "Eric" under GNOME or FLUXBOX but again under KDE it works just fine.

Version-Release number of selected component (if applicable):

Python 2.5.2 (r252:60911, Sep 30 2008, 15:42:03) 
[GCC 4.3.2 20080917 (Red Hat 4.3.2-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.



Steps to Reproduce:
1.
How reproducible: open terminal (Gnome) type idle (python-tools must be installed) go to main windows and type something very fast. 
2.In KDE go to terminal>> type: idle. 
3.
  
Actual results:In a begining program might response very fast but after it slows to no response. A same thing happening than you type a script or just paste a script in "new window"


Expected results: Should work fast


Additional info: sometimes I see next output of terminal:
Exception in Tkinter callback
Traceback (most recent call last):
File "/usr/lib64/python2.5/lib-tk/Tkinter.py", line 1403, in __call__
return self.func(*args)
File "/usr/lib64/python2.5/idlelib/MultiCall.py", line 151, in handler
r = l[i](event)
File "/usr/lib64/python2.5/idlelib/EditorWindow.py", line 1024, in smart_backspace_event
first, last = self.get_selection_indices()
File "/usr/lib64/python2.5/idlelib/EditorWindow.py", line 984, in get_selection_indices
first = self.text.index("sel.first")
AttributeError: 'NoneType' object has no attribute 'index'
Comment 1 252311 2009-03-11 22:41:45 EDT
Yes, I forget to say, it works via root but not under normal user.
Comment 2 Bug Zapper 2009-11-18 04:54:20 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Dave Malcolm 2009-12-11 16:11:29 EST
Sorry about the lack of response on this bug.

"idle" works fine for me on F12 running as non-root under gnome.

Are you still seeing this bug?

The backtrace you reported looks like an EditorWindow instance somehow managed to processs a "smart_backspace" event whilst its "text" field was None; I looked briefly through the code and it looks like this can only happen very early in the lifetime of an EditorWindow, before the "smart backspace" event is wired up.  So I'm not sure what was happening here, I'm afraid.
Comment 4 252311 2009-12-14 13:53:06 EST
It was solved in Fedora 11 !! Thanks !
Comment 5 Bug Zapper 2009-12-18 03:59:57 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.